CodeIgniter Forums
PHP 5.3.0 Compatibility - Printable Version

+- CodeIgniter Forums (https://forum.codeigniter.com)
+-- Forum: Archived Discussions (https://forum.codeigniter.com/forum-20.html)
+--- Forum: Archived General Discussion (https://forum.codeigniter.com/forum-21.html)
+--- Thread: PHP 5.3.0 Compatibility (/thread-21042.html)

Pages: 1 2 3 4 5 6


PHP 5.3.0 Compatibility - El Forum - 08-06-2009

[eluser]Colin Williams[/eluser]
Is this your first experience with SVN, boland? You might be better served on SVN and TortoiseSVN-specific forums and support sites.


PHP 5.3.0 Compatibility - El Forum - 08-06-2009

[eluser]skunkbad[/eluser]
[quote author="Dam1an" date="1249564144"][quote author="skunkbad" date="1249555175"]Is there an easy way to download the entire SVN, or do I have to save each page as a file?[/quote]

If you have SVN (and otionally a GUI client like TortoiseSVN) you can give it the trunk URL and checkout the entire thing in one go (as well as seeing the change log, om mit history etc)[/quote]

No, I don't have these things. Although it would be cool to start testing 1.7.2, I can wait. I have no problem staying busy!


PHP 5.3.0 Compatibility - El Forum - 08-06-2009

[eluser]AbeEstrada[/eluser]
Codeigniter 1.7.1

Deprecated: Assigning the return value of new by reference is deprecated in C:\web\site\system\codeigniter\Common.php on line 130

Deprecated: Assigning the return value of new by reference is deprecated in C:\web\site\system\codeigniter\Common.php on line 136

=======================

A PHP Error was encountered
Severity: 8192
Message: Function set_magic_quotes_runtime() is deprecated
Filename: codeigniter/CodeIgniter.php
Line Number: 60


PHP 5.3.0 Compatibility - El Forum - 08-06-2009

[eluser]Derek Jones[/eluser]
Abe, you'll need to run from the latest revision of the subversion repo, the upcoming 1.7.2. Version 1.7.1 is not PHP 5.3 compatible.


PHP 5.3.0 Compatibility - El Forum - 08-10-2009

[eluser]Unknown[/eluser]
my client can't wait for CI 1.7.2

so i have to make several changes myself ;-)

here what i do

A. remove by condition set_magic_quotes_runtime

file: codeigniter/CodeIgniter.php (line: 60)

Code:
if(!phpversion()=='5.3.0')
    set_magic_quotes_runtime(0); // Kill magic quotes



B. remove all new object by reference, change '=&' to '='

from: $objects[$class] =& new $name();
became: $objects[$class] = new $name();

file: codeigniter/Common.php (line: 130)
file: codeigniter/Common.php (line: 136)
file: libraries/Loader.php (line: 255)
file: database/DB.php (line: 133)

Code:
$objects[$class] = new $name();

see: = new


C. since hyphen '-' became special character in php 5.3, change this way:

file: config/config.php (line: 153)

from:
Code:
$config['permitted_uri_chars'] = 'a-z ~%.:_\-';

to:
Code:
$config['permitted_uri_chars'] = '~%.:_\-';


file: libraries/URI.php (line: 189)

from:
Code:
if ( ! preg_match("|^[".preg_quote($this->config->item('permitted_uri_chars'))."]+$|i", $str))

to:
Code:
if ( !
preg_match("|^[\w".preg_quote($this->config->item('permitted_uri_chars'))."]+$|i", $str))

wacth!:
! preg_match("|^[\w


i hope this can help


PHP 5.3.0 Compatibility - El Forum - 08-10-2009

[eluser]coolfactor[/eluser]
Re: date.timezone in php.ini

[quote author="Derek Jones" date="1249415594"]Yep, a professionally managed hosting environment running PHP 5.3 should have that set for their servers.[/quote]

I ran into this problem on my two development machines with PHP 5.3 installed. date.timezone was not set, and setting it made the error go away. I also "professionally manage" two VPS boxes that run about 30 websites. Looking at the PHP configuration on both of these reveals that date.timezone is not set.

Two questions:
- why did earlier versions of PHP not require date.timezone to be set?
- why can't PHP just inherit the server's timezone setting as a last resort?

/coolfactor/


PHP 5.3.0 Compatibility - El Forum - 08-10-2009

[eluser]Derek Jones[/eluser]
[quote author="shoe-maker" date="1249959608"]my client can't wait for CI 1.7.2[/quote]

I think you might be better to export the latest version from the subversion, as your changes are incomplete. We do our best to keep the development branch stable, and if you're going to run a modified base anyway...

[quote author="coolfactor" date="1249960152"]Two questions:
- why did earlier versions of PHP not require date.timezone to be set?[/quote]

As they added in and improved PHP's date and timezone handling functions, I suppose they didn't want to require millions of hosts to tweak their php.ini files -- there's already reluctance among hosts to upgrade PHP versions until their server distro provider does so.

Quote:- why can't PHP just inherit the server's timezone setting as a last resort?

PHP does make an attempt, but you'll notice that the order is: set at runtime, TZ environment variable, date.timezone ini option, host OS query response. I've found at least two common OS's whose query response returns a value that PHP doesn't anticipate, which also generates a warning. Yay?


PHP 5.3.0 Compatibility - El Forum - 08-18-2009

[eluser]Unknown[/eluser]
Thanks. My site went belly up last night after the host upgraded.


PHP 5.3.0 Compatibility - El Forum - 08-19-2009

[eluser]gao[/eluser]
great!!


PHP 5.3.0 Compatibility - El Forum - 08-23-2009

[eluser]ice_prince7[/eluser]
hi, kinda stuck with this.

got the latest svn. but still having some problem with magic quotes.


Code:
Deprecated: Assigning the return value of new by reference is deprecated in C:\xampp\htdocs\cms\system\codeigniter\Common.php on line 130

Deprecated: Assigning the return value of new by reference is deprecated in C:\xampp\htdocs\cms\system\codeigniter\Common.php on line 136
A PHP Error was encountered

Severity: 8192

Message: Function set_magic_quotes_runtime() is deprecated

Filename: codeigniter/CodeIgniter.php

Line Number: 60

A PHP Error was encountered

Severity: Warning

Message: Cannot modify header information - headers already sent by (output started at C:\xampp\htdocs\cms\system\codeigniter\Common.php:130)

Filename: libraries/URI.php

Line Number: 191

An Error Was Encountered
The URI you submitted has disallowed characters.

im quite new to svn and ci.

Do help, thank you.